<?xml version="1.0" encoding="UTF-8"?>
<ParamUnitDesc tab_name="VoIP" version="1.1" feature_option="MTK_AURISYS_FRAMEWORK_SUPPORT">
    <CategoryTypeList>
        <CategoryType name="Scene" feature_option="VIR_SCENE_CUSTOMIZATION_SUPPORT">
                <Category name="Default" wording="Default"/>
                <Category name="App1" wording="Application1" visible="false"/>
                <Category name="App2" wording="Application2" visible="false"/>
                <Category name="Game_Mode" wording="Game_Mode" visible="true"/>
        </CategoryType>
        <CategoryType name="Profile" wording="Device">
            <CategoryGroup name="Handset">
                <Category name="Normal" wording="Handset"/>
                <Category name="HAC"/>
            </CategoryGroup>
            <CategoryGroup name="Headset">
                <Category name="3_pole_Headset"/>
                <Category name="4_pole_Headset"/>
                <Category name="5_pole_Headset" wording="5-pole headset(ANC OFF)" feature_option="5_POLE_HS_SUPPORT"/>
                <Category name="5_pole_Headset+ANC" wording="5-pole headset(ANC ON)" feature_option="MTK_HEADSET_ACTIVE_NOISE_CANCELLATION"/>
            </CategoryGroup>
            <CategoryGroup name="Hands-free">
                <Category name="Handsfree" wording="Hands-free(1-mic NR)"/>
                <Category name="MagiConference" wording="Hands-free(2-mic NR)"/>
            </CategoryGroup>
            <CategoryGroup name="BT Device" wording="Bluetooth">
                <Category name="BT_Earphone" wording="BT_NREC_On"/>
                <Category name="BT_NREC_Off"/>
            </CategoryGroup>
           <CategoryGroup name="USB Device">
                <Category name="Usb_Headset" wording="USB Headset" feature_option="VIR_MTK_USB_PHONECALL"/>
            </CategoryGroup>
        </CategoryType>
    </CategoryTypeList>
    <ParamUnit>
        <Param name="speech_mode_para" type="uint_array">
            <!-- Gain -->
            <Field name="DL Digital Gain" array_index="7" bit="4,7"              check_list="0,0dB,1,1dB,2,2dB,3,3dB,4,4dB,5,5dB,6,6dB,7,7dB,8,8dB,9,9dB,10,10dB,11,11dB,12,12dB,13,13dB,14,14dB,15,15dB"/>
            <Field name="UL Digital Gain" array_index="7" bit="0,3"              check_list="0,0dB,1,1dB,2,2dB,3,3dB,4,4dB,5,5dB,6,6dB,7,7dB,8,8dB,9,9dB,10,10dB,11,11dB,12,12dB,13,13dB,14,14dB,15,15dB"/>
            <!-- New TX DRC -->
            <Field name="TX Graphical_UI_DRC Switch"  array_index="32" bit="0,0" check_list="0,off,1,on"/>
            <Field name="TX RMS_TAV_Count"            array_index="32" bit="1,3" check_list="1,20,2,40,3,60,4,80,5,100"/>
            <Field name="TX DRC-Delay"                array_index="32" bit="4,5" check_list="0,0ms,1,5ms,2,10ms,3,15ms"/>
            <Field name="TX DRC Min-Gain"             array_index="32" bit="6,7" check_list="0,-6dB,1,-9dB,2,-12dB,3,-18dB"/>
            <Field name="TX-1 Gain Attack_Rate"       array_index="33" bit="0,2" check_list="0,0.5ms,1,1ms,2,2ms,3,4ms,4,8ms,5,16ms,6,32ms,7,64ms"/>
            <Field name="TX-1 Gain Release_Rate"      array_index="33" bit="3,5" check_list="0,16ms,1,32ms,2,64ms,3,91ms,4,128ms,5,181ms,6,256ms,7,362ms"/>
            <Field name="TX-1 Gain Hysterisis"        array_index="33" bit="6,7" check_list="0,0dB,1,1dB,2,2dB,3,3dB"/>
            <Field name="TX-2 Gain Attack_Rate"       array_index="34" bit="0,2" check_list="0,0.5ms,1,1ms,2,2ms,3,4ms,4,8ms,5,16ms,6,32ms,7,64ms"/>
            <Field name="TX-2 Gain Release_Rate"      array_index="34" bit="3,5" check_list="0,16ms,1,32ms,2,64ms,3,91ms,4,128ms,5,181ms,6,256ms,7,362ms"/>
            <Field name="TX-2 Gain Hysterisis"        array_index="34" bit="6,7" check_list="0,0dB,1,1dB,2,2dB,3,3dB"/>
            <Field name="TX-3 Gain Attack_Rate"       array_index="35" bit="0,2" check_list="0,0.5ms,1,1ms,2,2ms,3,4ms,4,8ms,5,16ms,6,32ms,7,64ms"/>
            <Field name="TX-3 Gain Release_Rate"      array_index="35" bit="3,5" check_list="0,16ms,1,32ms,2,64ms,3,91ms,4,128ms,5,181ms,6,256ms,7,362ms"/>
            <Field name="TX-3 Gain Hysterisis"        array_index="35" bit="6,7" check_list="0,0dB,1,1dB,2,2dB,3,3dB"/>
            <Field name="TX-4 Gain Attack_Rate"       array_index="36" bit="0,2" check_list="0,0.5ms,1,1ms,2,2ms,3,4ms,4,8ms,5,16ms,6,32ms,7,64ms"/>
            <Field name="TX-4 Gain Release_Rate"      array_index="36" bit="3,5" check_list="0,16ms,1,32ms,2,64ms,3,91ms,4,128ms,5,181ms,6,256ms,7,362ms"/>
            <Field name="TX-4 Gain Hysterisis"        array_index="36" bit="6,7" check_list="0,0dB,1,1dB,2,2dB,3,3dB"/>
            <Field name="TX-5 Gain Attack_Rate"       array_index="37" bit="0,2" check_list="0,0.5ms,1,1ms,2,2ms,3,4ms,4,8ms,5,16ms,6,32ms,7,64ms"/>
            <Field name="TX-5 Gain Release_Rate"      array_index="37" bit="3,5" check_list="0,16ms,1,32ms,2,64ms,3,91ms,4,128ms,5,181ms,6,256ms,7,362ms"/>
            <Field name="TX-5 Gain Hysterisis"        array_index="37" bit="6,7" check_list="0,0dB,1,1dB,2,2dB,3,3dB"/>
            <Field name="TX DSP_Compression_ratio_0"  array_index="38" bit="0,7"/>
            <Field name="TX DSP_Compression_ratio_1"  array_index="39" bit="0,7"/>
            <Field name="TX DSP_Compression_ratio_2"  array_index="40" bit="0,7"/>
            <Field name="TX DSP_Compression_ratio_3"  array_index="41" bit="0,7"/>
            <Field name="TX DSP_Compression_ratio_4"  array_index="42" bit="0,7"/>
            <Field name="TX DSP_Threshold_Y0"         array_index="43" bit="0,3"/>
            <Field name="TX DSP_Threshold_X1"         array_index="44" bit="0,7"/>
            <Field name="TX DSP_Threshold_X2"         array_index="45" bit="0,7"/>
            <Field name="TX DSP_Threshold_X3"         array_index="46" bit="0,7"/>
            <Field name="TX DSP_Threshold_X4"         array_index="47" bit="0,7"/>
            <!-- New RX DRC -->
            <Field name="RX Graphical_UI_DRC Switch"  array_index="32" bit="8,8"   check_list="0,off,1,on"/>
            <Field name="RX RMS_TAV_Count"            array_index="32" bit="9,11"  check_list="1,20,2,40,3,60,4,80,5,100"/>
            <Field name="RX DRC-Delay"                array_index="32" bit="12,13" check_list="0,0ms,1,5ms,2,10ms,3,15ms"/>
            <Field name="RX DRC Min-Gain"             array_index="32" bit="14,15" check_list="0,-6dB,1,-9dB,2,-12dB,3,-18dB"/>
            <Field name="RX-1 Gain Attack_Rate"       array_index="33" bit="8,10"  check_list="0,0.5ms,1,1ms,2,2ms,3,4ms,4,8ms,5,16ms,6,32ms,7,64ms"/>
            <Field name="RX-1 Gain Release_Rate"      array_index="33" bit="11,13" check_list="0,16ms,1,32ms,2,64ms,3,91ms,4,128ms,5,181ms,6,256ms,7,362ms"/>
            <Field name="RX-1 Gain Hysterisis"        array_index="33" bit="14,15" check_list="0,0dB,1,1dB,2,2dB,3,3dB"/>
            <Field name="RX-2 Gain Attack_Rate"       array_index="34" bit="8,10"  check_list="0,0.5ms,1,1ms,2,2ms,3,4ms,4,8ms,5,16ms,6,32ms,7,64ms"/>
            <Field name="RX-2 Gain Release_Rate"      array_index="34" bit="11,13" check_list="0,16ms,1,32ms,2,64ms,3,91ms,4,128ms,5,181ms,6,256ms,7,362ms"/>
            <Field name="RX-2 Gain Hysterisis"        array_index="34" bit="14,15" check_list="0,0dB,1,1dB,2,2dB,3,3dB"/>
            <Field name="RX-3 Gain Attack_Rate"       array_index="35" bit="8,10"  check_list="0,0.5ms,1,1ms,2,2ms,3,4ms,4,8ms,5,16ms,6,32ms,7,64ms"/>
            <Field name="RX-3 Gain Release_Rate"      array_index="35" bit="11,13" check_list="0,16ms,1,32ms,2,64ms,3,91ms,4,128ms,5,181ms,6,256ms,7,362ms"/>
            <Field name="RX-3 Gain Hysterisis"        array_index="35" bit="14,15" check_list="0,0dB,1,1dB,2,2dB,3,3dB"/>
            <Field name="RX-4 Gain Attack_Rate"       array_index="36" bit="8,10"  check_list="0,0.5ms,1,1ms,2,2ms,3,4ms,4,8ms,5,16ms,6,32ms,7,64ms"/>
            <Field name="RX-4 Gain Release_Rate"      array_index="36" bit="11,13" check_list="0,16ms,1,32ms,2,64ms,3,91ms,4,128ms,5,181ms,6,256ms,7,362ms"/>
            <Field name="RX-4 Gain Hysterisis"        array_index="36" bit="14,15" check_list="0,0dB,1,1dB,2,2dB,3,3dB"/>
            <Field name="RX-5 Gain Attack_Rate"       array_index="37" bit="8,10"  check_list="0,0.5ms,1,1ms,2,2ms,3,4ms,4,8ms,5,16ms,6,32ms,7,64ms"/>
            <Field name="RX-5 Gain Release_Rate"      array_index="37" bit="11,13" check_list="0,16ms,1,32ms,2,64ms,3,91ms,4,128ms,5,181ms,6,256ms,7,362ms"/>
            <Field name="RX-5 Gain Hysterisis"        array_index="37" bit="14,15" check_list="0,0dB,1,1dB,2,2dB,3,3dB"/>
            <Field name="RX DSP_Compression_ratio_0"  array_index="38" bit="8,15"/>
            <Field name="RX DSP_Compression_ratio_1"  array_index="39" bit="8,15"/>
            <Field name="RX DSP_Compression_ratio_2"  array_index="40" bit="8,15"/>
            <Field name="RX DSP_Compression_ratio_3"  array_index="41" bit="8,15"/>
            <Field name="RX DSP_Compression_ratio_4"  array_index="42" bit="8,15"/>
            <Field name="RX DSP_Threshold_Y0"         array_index="43" bit="4,11 "/>
            <Field name="RX DSP_Threshold_X1"         array_index="44" bit="8,15"/>
            <Field name="RX DSP_Threshold_X2"         array_index="45" bit="8,15"/>
            <Field name="RX DSP_Threshold_X3"         array_index="46" bit="8,15"/>
            <Field name="RX DSP_Threshold_X4"         array_index="47" bit="8,15"/>
            <!-- MagiNR(TX) -->
            <Field name="TX NR Switch" array_index="4" bit="0,0"                                        check_list="0,off,1,on"/>
            <Field name="TX NR Quick learning" array_index="4" bit="1,1"                                check_list="0,quick,1,slow"/>
            <Field name="TX NR for high frequency" array_index="4" bit="8,8"                            check_list="0,on,1,off"/>
            <Field name="TX NR suppression strength" array_index="8" bit="6,8"                          check_list="0,23dB,1,20.5dB,2,18dB,3,15.5dB,4,13dB,5,10.5dB,6,8dB,7,off"/>
            <Field name="TX Adaptive gain control" array_index="4" bit="12,13"                          check_list="0,fixed 10 dB,1, fixed 0 dB,2,vary between 10 to 6dB, 3,vary between 10 to 0dB"/>
            <Field name="TX mute 1s" array_index="10" bit="1,1"                                         check_list="0,on,1,off"/>
            <Field name="TX NR Init 100ms" array_index="10" bit="9,9"                                   check_list="0,off,1,on"/>
            <Field name="TX Ambient noise calibration" array_index="8" bit="12,13"                      check_list="0,0dB,1,3dB,2,6dB,3,9dB"/>
            <Field name="TX Handfree Tone Detection" array_index="4" bit="9,9"                          check_list="0,off,1,on"/>
            <Field name="TX expander switch" array_index="3" bit="0,1"                                  check_list="0,off,1,suppress echo,2,suppress stationary noise,3,suppress non-stationary noise"/>
            <Field name="TX expander suppression gain" array_index="3" bit="4,5"                        check_list="0,3dB,1,9dB,2,12dB,3,15dB"/>
            <Field name="TX NR Noise Adaption Rate" array_index="4" bit="10,11"                         check_list="0,722ms,1,209ms,2,62ms,3,32ms"/>
            <!-- MagiNR(RX) -->
            <Field name="RX NR Switch" array_index="4" bit="2,2"                                        check_list="0,off,1,on"/>
            <Field name="RX NR Strength" array_index="8" bit="9,11"                                     check_list="0,23dB,1,20.5dB,2,18dB,3,15.5dB,4,13dB,5,10.5dB,6,8dB,7,off"/>
            <Field name="RX NR Noise Adaption Rate" array_index="4" bit="10,11"                         check_list="0,722ms,1,209ms,2,62ms,3,32ms"/>
            <Field name="RX expander switch" array_index="5" bit="0,1"                                  check_list="0,off,1, off,2,suppress stationary noise,3,suppress non-stationary noise"/>
            <Field name="RX expander suppression gain" array_index="5" bit="4,5"                        check_list="0,3dB,1,9dB,2,12dB,3,15dB"/>
            <Field name="RX Comfort Noise Switch" array_index="4" bit="3,3"                             check_list="0,off,1,on"/>
            <Field name="RX Comfort Noise Level" array_index="10" bit="13,15"                           check_list="0,+0dB(-83dBFS),1,+3dB,2,+6dB,3,+9dB,4,+12dB,5,+15dB,6,+18dB,7,+21dB"/>
            <!-- MagiAEC -->
            <Field name="AEC" array_index="1" bit="0,15"                                                check_list="189,189,221,221,224,224,253,253,479,479"/>
            <Field name="Switch" array_index="1" bit="8,8"                                              check_list="0,on,1,off"/>
            <Field name="device Mode" array_index="1" bit="0,0"                                         check_list="0,Handfree Mode,1,Normal Mode"/>
            <Field name="BGNT FE improvement control" array_index="1" bit="7,7"                         check_list="0,less aggressive,1,default"/>
            <Field name="echo path change handler" array_index="1" bit="13, 13"                         check_list="0,on,1,off"/>
            <Field name="manual clipping" array_index="0" bit="15, 15"                                  check_list="0,off,1,on"/>
            <Field name="Pre-clipping/manual clipping threshold" array_index="6" bit="0, 3"             check_list="0,-15dB,1,-14dB,2,-13dB,3,-12dB,4,-11dB,5,-10dB,6,-9dB,7,-8dB,8,-7dB,9,-6dB,10,-5dB,11,-4dB,12,-3dB,13,-2dB,14,-1dB,15,0dB"/>
            <Field name="ES switch" array_index="1" bit="1,1"                                           check_list="0,on,1,off"/>
            <Field name="residual echo weighting for linear part" array_index="2" bit="0,3"/>
            <Field name="residual echo weighting for non-linear part" array_index="2" bit="4,7"/>
            <Field name="ES" array_index="2" bit="11,14"                                                check_list="0,no bound,1,-24.1dB,2,-18.1dB,3,-14.5dB,4,-12.0dB,5,-10.1dB,6,-8.52dB,7,-7.18dB,8,-6.02dB,9,-5.00dB,10,-4.08dB,11,-3.25dB,12,-2.50dB,13,-1.80dB,14,-1.16dB,15,-0.56dB"/>
            <Field name="First Echo Suppression control" array_index="1" bit="10,10"                    check_list="0,on,1,off"/>
            <Field name="AES switch" array_index="1" bit="14,14"                                        check_list="0,on,1,off"/>
            <Field name="AES improvement" array_index="12" bit="7,7"                                    check_list="0,off,1,on"/>
            <Field name="AES" array_index="12" bit="11,14"                                              check_list="0,no bound,1,-24.1dB,2,-18.1dB,3,-14.5dB,4,-12.0dB,5,-10.1dB,6,-8.52dB,7,-7.18dB,8,-6.02dB,9,-5.00dB,10,-4.08dB,11,-3.25dB,12,-2.50dB,13,-1.80dB,14,-1.16dB,15,-0.56dB"/>
            <Field name="Comfort noise generator" array_index="1" bit="5,5"                             check_list="0,off,1,on"/>
            <Field name="Minimum comfort noise value" array_index="12" bit="0,4"/>
            <Field name="NLP Suppression behavior control" array_index="1" bit="11,11"                  check_list="0,on,1,off"/>
            <Field name="NLP" array_index="0" bit="0,7"                                                 check_list="0,0,64,64,96,96,128,128,192,192,255,255"/>
            <Field name="remove tone in echo ref" array_index="12" bit="6,6"                            check_list="0,off,1,on"/>
            <Field name="BT Delay Control" array_index="15" bit="0,7"/>
            <Field name="New echo suppression" array_index="2" bit="15,15"                              check_list="0,off,1,on"/>
            <Field name="0-2k residual echo weighting for linear part" array_index="16" bit="0,2"       check_list="0,0,1,2,2,4,3,8,4,16,5,32,6,64,7,128"/>
            <Field name="0-2k residual echo weighting for non-linear part" array_index="16" bit="3,5"   check_list="0,0,1,2,2,4,3,8,4,16,5,32,6,64,7,128"/>
            <Field name="0-2k ES smooth rate" array_index="16" bit="6,7"                                check_list="0,0.9,1,0.6,2,0.3,3,0"/>
            <Field name="0-2k ES gain lower bound" array_index="18" bit="0,4"                           check_list="0,-62dB,1,-60dB,2,-58dB,3,-56dB,4,-54dB,5,-52dB,6,-50dB,7,-48dB,8,-46dB,9,-44dB,10,-42dB,11,-40dB,12,-38dB,13,-36dB,14,-34dB,15,-32dB,16,-30dB,17,-28dB,18,-26dB,19,-24dB,20,-22dB,21,-20dB,22,-18dB,23,-16dB,24,-14dB,25,-12dB,26,-10dB,27,-8dB,28,-6dB,29,-4dB,30,-2dB,31,0dB"/>
            <Field name="0-2k ES estimated echo control" array_index="17" bit="10,11"                   check_list="0,0,1,0.3,2,0.7,3,1"/>
            <Field name="2-4k residual echo weighting for linear part" array_index="16" bit="8,10"      check_list="0,0,1,2,2,4,3,8,4,16,5,32,6,64,7,128"/>
            <Field name="2-4k residual echo weighting for non-linear part" array_index="16" bit="11,13" check_list="0,0,1,2,2,4,3,8,4,16,5,32,6,64,7,128"/>
            <Field name="2-4k ES smooth rate" array_index="16" bit="14,15"                              check_list="0,0.9,1,0.6,2,0.3,3,0"/>
            <Field name="2-4k ES gain lower bound" array_index="18" bit="5,9"                           check_list="0,-62dB,1,-60dB,2,-58dB,3,-56dB,4,-54dB,5,-52dB,6,-50dB,7,-48dB,8,-46dB,9,-44dB,10,-42dB,11,-40dB,12,-38dB,13,-36dB,14,-34dB,15,-32dB,16,-30dB,17,-28dB,18,-26dB,19,-24dB,20,-22dB,21,-20dB,22,-18dB,23,-16dB,24,-14dB,25,-12dB,26,-10dB,27,-8dB,28,-6dB,29,-4dB,30,-2dB,31,0dB"/>
            <Field name="2-4k ES estimated echo control" array_index="17" bit="12,13"                   check_list="0,0,1,0.3,2,0.7,3,1"/>
            <Field name="4-8k residual echo weighting for linear part" array_index="17" bit="0,2"       check_list="0,0,1,2,2,4,3,8,4,16,5,32,6,64,7,128"/>
            <Field name="4-8k residual echo weighting for non-linear part" array_index="17" bit="3,5"   check_list="0,0,1,2,2,4,3,8,4,16,5,32,6,64,7,128"/>
            <Field name="4-8k ES smooth rate" array_index="17" bit="6,7"                                check_list="0,0.9,1,0.6,2,0.3,3,0"/>
            <Field name="4-8k ES gain lower bound" array_index="18" bit="10,14"                         check_list="0,-62dB,1,-60dB,2,-58dB,3,-56dB,4,-54dB,5,-52dB,6,-50dB,7,-48dB,8,-46dB,9,-44dB,10,-42dB,11,-40dB,12,-38dB,13,-36dB,14,-34dB,15,-32dB,16,-30dB,17,-28dB,18,-26dB,19,-24dB,20,-22dB,21,-20dB,22,-18dB,23,-16dB,24,-14dB,25,-12dB,26,-10dB,27,-8dB,28,-6dB,29,-4dB,30,-2dB,31,0dB"/>
            <Field name="4-8k ES estimated echo control" array_index="17" bit="14,15"                   check_list="0,0,1,0.3,2,0.7,3,1"/>
            <Field name="EPC control" array_index="17" bit="8,9"                                        check_list="0,EPC handler off,1,EPC ES handling,2,EPC ES handling+strict EPC EC handling,3,EPC ES handling+EPC EC handling"/>
            <Field name="Normal mode DT improvement" array_index="18" bit="15,15"                       check_list="0,off,1,on"/>
            <Field name="ref vowel detection" array_index="1" bit="9,9"                                 check_list="0,off,1,on"/>
            <Field name="speaker nolinear model" array_index="1" bit="2,3"                              check_list="0,default,1,high band nonlinear,2,low band nonlinear,3,default"/>
            <Field name="BT mode echo ref" array_index="12" bit="15,15"                                 check_list="0,off(default),1,BT mode"/>
            <Field name="UL delay for EC tuning (ms)" array_index="15" bit="8,11"/>
            <Field name="Echo estimate rate control" array_index="0" bit="10,11"                        check_list="0,favor reverb handling,1,default,2,default,3,favor subjective DT"/>
            <Field name="ACQUA DT score tuning" array_index="0" bit="12,13"                             check_list="0,worst DT,1,tuning level2,2,tuning level3,3,best DT"/>
            <Field name="LSPK DT improvement" array_index="0" bit="14,14"                               check_list="0,off,1,on"/>
            <Field name="Hard clipping" array_index="5" bit="14,14"                                     check_list="0,off,1,on"/>
            <Field name="AGC gain bypass" array_index="3" bit="14,14"                                   check_list="0,on,1,off"/>
            <Field name="AGC fast release" array_index="3" bit="13,13"                                  check_list="0,off,1,on"/>
            <Field name="DT vad" array_index="0" bit="8,8"                                              check_list="0,on,1,off"/>
            <Field name="High band EC improve(6.5k~8k)" array_index="1" bit="4,4"                       check_list="0,off,1,on"/>
            <Field name="CNG Power" array_index="12" bit="5,5"                                          check_list="0,old,1,new"/>
            <Field name="Mic2 AES overestimate" array_index="9" bit="11,12"                             check_list="0,0dB,1,-3dB,2,-6dB,3,-9dB"/>
            <Field name="AEC use HB vad and small bias term" array_index="12" bit="8,8"                 check_list="0,off,1,on"/>
            <Field name="Boost ref 6dB" array_index="1" bit="6,6"                                       check_list="0,on,1,off"/>
            <Field name="BGNT FE improve switch" array_index="7" bit="15,15"                            check_list="0,off,1,on"/>
            <Field name="BGNT FE stepsize weighting" array_index="7" bit="13,14"                        check_list="0,level0,1,level1,2,level2,3,level3"/>
            <Field name="Comfort noise type" array_index="11" bit="9,9"                                 check_list="0,General,1,White noise like"/>
            <Field name="LSPK subjective DT" array_index="0" bit="9,9"                                  check_list="0,off,1,on"/>
            <Field name="AES rate fast" array_index="1" bit="12,12"                                     check_list="0,off,1,on"/>
            <Field name="Band0 NE VAD" array_index="1" bit="15,15"                                      check_list="0,off,1,on"/>
            <Field name="AES overestimate" array_index="12" bit="9,10"                                  check_list="0,0dB,1,-3dB,2,-6dB,3,-9dB"/>
            <Field name="0-2k LSPK Mic2 residual echo weighting for linear part" array_index="26" bit="0,2"        check_list="0,0,1,2,2,4,3,8,4,16,5,32,6,64,7,128"/>
            <Field name="0-2k LSPK Mic2 residual echo weighting for non-linear part" array_index="26" bit="3,5"    check_list="0,0,1,2,2,4,3,8,4,16,5,32,6,64,7,128"/>
            <Field name="0-2k LSPK Mic2 ES smooth rate" array_index="26" bit="6,7"                      check_list="0,0.9,1,0.6,2,0.3,3,0"/>
            <Field name="0-2k LSPK Mic2 ES gain lower bound" array_index="28" bit="0,4"                 check_list="0,-62dB,1,-60dB,2,-58dB,3,-56dB,4,-54dB,5,-52dB,6,-50dB,7,-48dB,8,-46dB,9,-44dB,10,-42dB,11,-40dB,12,-38dB,13,-36dB,14,-34dB,15,-32dB,16,-30dB,17,-28dB,18,-26dB,19,-24dB,20,-22dB,21,-20dB,22,-18dB,23,-16dB,24,-14dB,25,-12dB,26,-10dB,27,-8dB,28,-6dB,29,-4dB,30,-2dB,31,0dB"/>
            <Field name="0-2k LSPK Mic2 ES estimated echo control" array_index="27" bit="10,11"         check_list="0,0,1,0.3,2,0.7,3,1"/>
            <Field name="2-4k LSPK Mic2 residual echo weighting for linear part" array_index="26" bit="8,10"       check_list="0,0,1,2,2,4,3,8,4,16,5,32,6,64,7,128"/>
            <Field name="2-4k LSPK Mic2 residual echo weighting for non-linear part" array_index="26" bit="11,13"  check_list="0,0,1,2,2,4,3,8,4,16,5,32,6,64,7,128"/>
            <Field name="2-4k LSPK Mic2 ES smooth rate" array_index="26" bit="14,15"                    check_list="0,0.9,1,0.6,2,0.3,3,0"/>
            <Field name="2-4k LSPK Mic2 ES gain lower bound" array_index="28" bit="5,9"                 check_list="0,-62dB,1,-60dB,2,-58dB,3,-56dB,4,-54dB,5,-52dB,6,-50dB,7,-48dB,8,-46dB,9,-44dB,10,-42dB,11,-40dB,12,-38dB,13,-36dB,14,-34dB,15,-32dB,16,-30dB,17,-28dB,18,-26dB,19,-24dB,20,-22dB,21,-20dB,22,-18dB,23,-16dB,24,-14dB,25,-12dB,26,-10dB,27,-8dB,28,-6dB,29,-4dB,30,-2dB,31,0dB"/>
            <Field name="2-4k LSPK Mic2 ES estimated echo control" array_index="27" bit="12,13"         check_list="0,0,1,0.3,2,0.7,3,1"/>
            <Field name="4-8k LSPK Mic2 residual echo weighting for linear part" array_index="27" bit="0,2"        check_list="0,0,1,2,2,4,3,8,4,16,5,32,6,64,7,128"/>
            <Field name="4-8k LSPK Mic2 residual echo weighting for non-linear part" array_index="27" bit="3,5"    check_list="0,0,1,2,2,4,3,8,4,16,5,32,6,64,7,128"/>
            <Field name="4-8k LSPK Mic2 ES smooth rate" array_index="27" bit="6,7"                      check_list="0,0.9,1,0.6,2,0.3,3,0"/>
            <Field name="4-8k LSPK Mic2 ES gain lower bound" array_index="28" bit="10,14"               check_list="0,-62dB,1,-60dB,2,-58dB,3,-56dB,4,-54dB,5,-52dB,6,-50dB,7,-48dB,8,-46dB,9,-44dB,10,-42dB,11,-40dB,12,-38dB,13,-36dB,14,-34dB,15,-32dB,16,-30dB,17,-28dB,18,-26dB,19,-24dB,20,-22dB,21,-20dB,22,-18dB,23,-16dB,24,-14dB,25,-12dB,26,-10dB,27,-8dB,28,-6dB,29,-4dB,30,-2dB,31,0dB"/>
            <Field name="4-8k LSPK Mic2 ES estimated echo control" array_index="27" bit="14,15"         check_list="0,0,1,0.3,2,0.7,3,1"/>
            <Field name="Reverb Echo Suppress switch" array_index="11" bit="12,12"                      check_list="0,off(Default),1,on"/>
            <Field name="Reverb Echo Band" array_index="11" bit="13,13"                                 check_list="0,2.5K Hz,1,3.5K Hz"/>
            <Field name="Reverb 0-2k ES gain lower bound" array_index="29" bit="0,4"                    check_list="0,-62dB,1,-60dB,2,-58dB,3,-56dB,4,-54dB,5,-52dB,6,-50dB,7,-48dB,8,-46dB,9,-44dB,10,-42dB,11,-40dB,12,-38dB,13,-36dB,14,-34dB,15,-32dB,16,-30dB,17,-28dB,18,-26dB,19,-24dB,20,-22dB,21,-20dB,22,-18dB,23,-16dB,24,-14dB,25,-12dB,26,-10dB,27,-8dB,28,-6dB,29,-4dB,30,-2dB,31,0dB"/>
            <Field name="Reverb 2-4k ES gain lower bound" array_index="29" bit="5,9"                    check_list="0,-62dB,1,-60dB,2,-58dB,3,-56dB,4,-54dB,5,-52dB,6,-50dB,7,-48dB,8,-46dB,9,-44dB,10,-42dB,11,-40dB,12,-38dB,13,-36dB,14,-34dB,15,-32dB,16,-30dB,17,-28dB,18,-26dB,19,-24dB,20,-22dB,21,-20dB,22,-18dB,23,-16dB,24,-14dB,25,-12dB,26,-10dB,27,-8dB,28,-6dB,29,-4dB,30,-2dB,31,0dB"/>
            <Field name="Reverb 4-8k ES gain lower bound" array_index="29" bit="10,14"                  check_list="0,-62dB,1,-60dB,2,-58dB,3,-56dB,4,-54dB,5,-52dB,6,-50dB,7,-48dB,8,-46dB,9,-44dB,10,-42dB,11,-40dB,12,-38dB,13,-36dB,14,-34dB,15,-32dB,16,-30dB,17,-28dB,18,-26dB,19,-24dB,20,-22dB,21,-20dB,22,-18dB,23,-16dB,24,-14dB,25,-12dB,26,-10dB,27,-8dB,28,-6dB,29,-4dB,30,-2dB,31,0dB"/>
            <Field name="Reverb Switch speed" array_index="29" bit="15,15"                              check_list="0,200ms,1,100ms"/>
            <!-- TX Whistle -->
            <Field name="TX Whistle Switch" array_index="3" bit="9,9"                                   check_list="0,off,1,on"/>
            <Field name="TX Whistle Delay Band Control" array_index="11" bit="0,0"                      check_list="0,Band6,1,Band13"/>
            <!-- RX Whistle -->
            <Field name="RX Whistle Switch" array_index="4" bit="7,7"                                   check_list="0,off,1,on"/>
            <!-- TX DRC -->
            <Field name="UL Limiter TH" array_index="3" bit="2,3"                                       check_list="0,off,1,off,2,-4.3 dBFS,3,-1.4 dBFS"/>
            <Field name="UL IIR cut off frequency" array_index="3" bit="6,7" check_list="0,off,1,175Hz,2,228Hz,3,279Hz"/>
            <Field name="75Hz high-pass IIR" array_index="3" bit="12,12"                                check_list="0,122Hz,1,75Hz"/>
            <Field name="comfort noise" array_index="4" bit="14,14"                                     check_list="0,off,1,on"/>
            <Field name="comfort noise level" array_index="10" bit="12,12"                              check_list="0,+0dB,1,-18dB"/>
            <Field name="TX IIR switch" array_index="10" bit="2,2"                                      check_list="0,off,1,on"/>
            <Field name="TX FIR switch" array_index="10" bit="3,3"                                      check_list="0,on,1,off"/>
            <Field name="TX GDRC DG Gain switch" array_index="5" bit="6,6"                              check_list="0,off,1,on"/>
            <Field name="TCLW switch" array_index="11" bit="6,6"                                        check_list="0,off,1,on"/>
            <Field name="TCLW noise suppress level" array_index="11" bit="7,8"                          check_list="0,3,1,6,2,9,3,12"/>
            <!-- MagiTDNC -->
            <Field name="TDNC switch" array_index="11" bit="0,0"                                        check_list="0,off,1,on"/>
            <!-- MagiNR(dual) -->
            <Field name="MagiNRDual switch" array_index="13" bit="0,0"                                  check_list="0,off,1,on"/>
            <Field name="Switch or Lower bound of NS Gain" array_index="13" bit="1,4"                   check_list="0,off,1,2dB,2,4dB,3,6dB,4,8dB,5,10dB,6,12dB,7,14dB,8,16dB,9,18dB,10,20dB,11,22dB,12,24dB,13,26dB,14,28dB,15,30dB"/>
            <Field name="NS mode" array_index="13" bit="5,6"                                            check_list="0,weak,1,medium,2,medium-strong,3,strong"/>
            <Field name="Stationary noise tracking strength" array_index="13" bit="7,8"                 check_list="0,weak,1,medium,2,medium-strong,3,strong"/>
            <Field name="Non-stationary noise tracking strength" array_index="13" bit="9,10"            check_list="0,weak,1,medium,2,medium-strong,3,strong"/>
            <Field name="NS-TMOS detection" array_index="13" bit="11,11"                                check_list="0,off,1,on"/>
            <Field name="NS-Gain LB when TMOS detected" array_index="13" bit="12,13"                    check_list="0,same as NS LB,1,3dB,2,6dB,3,9dB"/>
            <Field name="High band(4k-8k) speech protection" array_index="13" bit="14,15"               check_list="0,weak,1,medium,2,medium-strong,3,strong"/>
            <Field name="Energy based HB VAD switch" array_index="14" bit="0,0"                         check_list="0,off,1,on"/>
            <Field name="NC switch" array_index="14" bit="1,1"                                          check_list="0,off,1,on"/>
            <Field name="Look Ahead Delay of NC(more delay, better cancellation)" array_index="14" bit="2,3"               check_list="0,off,1,4.5ms,2,6ms,3,7.5ms"/>
            <Field name="NC strength" array_index="14" bit="4,4"                                                           check_list="0,normal,1,strong"/>
            <Field name="Phone up or down cover range(normal position)" array_index="14" bit="5,8"                         check_list="0,default(6dB),1,1dB(narrow),2,2dB,3,3dB,4,4dB,5,5dB,6,6dB,7,7dB,8,8dB,9,9dB,10,10dB,11,11dB,12,12dB,13,13dB,14,14dB,15,15dB(wide) "/>
            <Field name="Mic selection switch" array_index="14" bit="9,9"                                                  check_list="0,off,1,on"/>
            <Field name="Mic selection VAD threshold(larger value, VAD on easier)" array_index="14" bit="10,11"            check_list="0,strong,1,medium-strong,2,medium,3,weak"/>
            <Field name="Mic2 blocking algorithm switch" array_index="14" bit="12,12"                                      check_list="0,off,1,on"/>
            <Field name="Mic2 expander" array_index="14" bit="14,14"                                                       check_list="0,off,1,on"/>
            <Field name="Mic2 IIR" array_index="14" bit="15,15"                                                            check_list="0,off,1,on"/>
            <Field name="WA expander" array_index="9" bit="0,0"                                                            check_list="0,off,1,on"/>
            <Field name="DMNR ASLR Gain release rate" array_index="9" bit="6,7"                                            check_list="0,fast,1,normal,2,slow,3,very slow"/>
            <Field name="ABM pass shadow coef at switch" array_index="9" bit="13,13"                                       check_list="0,off,1,on"/>
            <Field name="ABM consider min of band1 and band2 at normal" array_index="9" bit="14,14"                        check_list="0,off,1,on"/>
            <Field name="ABM consider min of band1 and band2 at WA" array_index="9" bit="15,15"                            check_list="0,off,1,on"/>
            <Field name="Maximum DMNR ASLR Gain level bound" array_index="15" bit="12,14"                                  check_list="0,6dB,1,7dB,2,8dB,3,9dB,4,10dB,5,11dB,6,12dB,7,12dB"/>
            <Field name="DMNR ASLR Gain switch" array_index="15" bit="15,15"                                               check_list="0,off,1,on"/>
            <Field name="WA DMNR switch" array_index="30" bit="0,0"                                                        check_list="0,off,1,on"/>
            <Field name="WA DMNR switch counter threshold(larger value, faster switch)" array_index="30" bit="1,2"         check_list="0,slow,1,normal,2,fast,3,very fast"/>
            <Field name="1-mic VAD THD for cal-data switch(smaller value, VAD on easier)" array_index="30" bit="3,4"       check_list="0,4000,1,6000,2,10000,3,14000"/>
            <Field name="GCC delay THD for cal-data switch" array_index="30" bit="5,7"                                     check_list="0,6 sample,1,7 sample,2,8 sample,3,9 sample,4,10 sample,5,11 sample,6,12 sample,7,13 sample"/>
            <Field name="GCC prob WA THD for cal-data switch(smaller value, switch easier)" array_index="30" bit="8,9"     check_list="0,1000,1,2000,2,3000,3,4000"/>
            <Field name="1-mic VAD as PD VAD at WA" array_index="30" bit="10,10"                                           check_list="0,off,1,on"/>
            <Field name="GCC prob WA THD for ABM stepsize update(smaller value, learning easier)" array_index="30" bit="11,12" check_list="0,2000,1,3000,2,4000,3,5000"/>
            <Field name="ABM VAD THD at WA(larger value, VAD on easier)" array_index="30" bit="13,14"                          check_list="0,strong,1,medium-strong,2,medium,3,weak"/>
            <Field name="Consider GCC prob WA for ENH DMNR VAD at WA" array_index="30" bit="15,15"                             check_list="0,on,1,off"/>
            <Field name="LB of GCC delay for GCC prob WA" array_index="31" bit="0,2"                                           check_list="0,9,1,10,2,11,3,12,4,13,5,14,6,15,7,16"/>
            <Field name="UB of GCC delay for GCC prob WA" array_index="31" bit="3,5"                                           check_list="0,13,1,14,2,15,3,16,4,17,5,18,6,19,7,21"/>
            <Field name="GCC prob WA VAD THD for speech prob at WA(smaller value, switch easier)" array_index="31" bit="6,7"   check_list="0,2000,1,3000,2,4000,3,5000"/>
            <Field name="Consider Well-cal VAD for speech prob at WA" array_index="31" bit="8,8"                               check_list="0,off,1,on"/>
            <Field name="Consider GCC prob VAD for speech prob at WA" array_index="31" bit="9,9"                               check_list="0,off,1,on"/>
            <Field name="Non-stationary noise tracking strength at WA" array_index="31" bit="10,11"                            check_list="0,weak,1,medium,2,medium-strong,3,strong"/>
            <Field name="Switch or Lower bound of NS Gain at WA" array_index="31" bit="12,15"                                  check_list="0,off,1,2dB,2,4dB,3,6dB,4,8dB,5,10dB,6,12dB,7,14dB,8,16dB,9,18dB,10,20dB,11,22dB,12,24dB,13,26dB,14,28dB,15,30dB"/>
            <!-- MagiConference -->
            <!-- Mode Parameter 13 -->
            <Field name="MagiNRDual switch for LSPK" array_index="13" bit="0,0"                                            check_list="0,off,1,on"/>
            <Field name="MagiNRDual-NS switch" array_index="13" bit="1,1"                                                  check_list="0,off,1,on"/>
            <Field name="High band (> 1250Hz) speech quality protection" array_index="13" bit="2,3"                        check_list="0,weak,1,off,2,medium,3,strong"/>
            <Field name="MagiNRDual-NS mode" array_index="13" bit="4,5"                                                    check_list="1,strong,2,medium,3,weak"/>
            <Field name="LSPK DMNR (Single-NS)" array_index="13" bit="8,8"                                                 check_list="0,off,1,only stationary noise"/>
            <Field name="MagiNRDual-NC switch" array_index="13" bit="9,9"                                                  check_list="0,off,1,on"/>
            <Field name="Mic switch algorithm" array_index="13" bit="10,10"                                                check_list="0,off,1,on"/>
            <Field name="Non-stationary noise underestimation" array_index="13" bit="12,13"                                check_list="0,14 dB,1,8 dB,2,2 dB,3,0 dB"/>
            <Field name="Mic switch algorithm VAD threshold" array_index="13" bit="14,15"                                  check_list="0,strictest,1,stricter,2,looser,3,loosest"/>
            <!-- Mode Parameter 14 -->
            <Field name="Switch or lower bound of MagiNRDual-NS Gain (Mic1)" array_index="14" bit="0,3"                    check_list="0,off,1,2dB,2,4dB,3,6dB,4,8dB,5,10dB,6,12dB,7,14dB,8,16dB,9,18dB,10,20dB,11,22dB,12,24dB,13,26dB,14,28dB,15,30dB"/>
            <Field name="Switch or lower bound of MagiNRDual-NS Gain (Mic2)" array_index="14" bit="4,7"                    check_list="0,off,1,2dB,2,4dB,3,6dB,4,8dB,5,10dB,6,12dB,7,14dB,8,16dB,9,18dB,10,20dB,11,22dB,12,24dB,13,26dB,14,28dB,15,30dB"/>
            <Field name="Less DMNR-NS level" array_index="14" bit="8,9"                                                    check_list="0,off,1,weak,2,medium,3,strong"/>
            <Field name="Non-stationary noise weight" array_index="14" bit="10,11"                                         check_list="0,off,1,weak,2,medium,3,strong"/>
            <Field name="Stationary noise weight" array_index="14" bit="12,13"                                             check_list="0,off,1,weak,2,medium,3,strong"/>
            <Field name="Mic2 expander" array_index="14" bit="14,14"                                                       check_list="0,off,1,on"/>
            <Field name="Mic2 IIR" array_index="14" bit="15,15"                                                            check_list="0,off,1,on"/>
            <!-- Mode Parameter 30 -->
            <Field name="Improve VAD accurate for SPT car noise case" array_index="30" bit="0,0"                           check_list="0,off,1,on"/>
            <Field name="No less DMNR-NS level when VAD is off" array_index="30" bit="1,1"                                 check_list="0,off,1,on"/>
            <Field name="Stationary noise under estimation" array_index="30" bit="2,3"                                     check_list="0,off,1,weak,2,medium,3,strong"/>
            <Field name="SNR condition separation" array_index="30" bit="4,4"                                              check_list="0,off,1,on"/>
            <Field name="SNR condition Threshold" array_index="30" bit="5,5"                                               check_list="0,road,1,pub,road,xroad,and train"/>
            <Field name="Less DMNR-NS level for low SNR" array_index="30" bit="6,7"                                        check_list="0,off,1,weak,2,medium,3,strong"/>
            <Field name="Lower bound for low SNR" array_index="30" bit="8,10"                                              check_list="0,same with par14,1,par14 - 2 dB,2,par14 - 4 dB,3,par14 + 2 dB,4,par14 + 4 dB,5,par14 + 6 dB,6,par14 + 8 dB"/>
            <Field name="BGNT with NE improvement for LSPK mode" array_index="30" bit="11,11"                              check_list="0,off,1,on"/>
            <Field name="VAD threshold" array_index="30" bit="12,13"                                                       check_list="0,strictest,1,stricter,2,loser,3,losest"/>
            <Field name="Stationary noise estimation speed" array_index="30" bit="14,15"                                   check_list="0,unchange,1,fast,2,normal,3,very fast"/>
            <!-- Mode Parameter 31 -->
            <Field name="Improve expander VAD with ABM VAD" array_index="31" bit="0,0"                                     check_list="0,off,1,on"/>
            <Field name="Improve expander VAD with Mic1 VAD" array_index="31" bit="1,1"                                    check_list="0,off,1,on"/>
            <Field name="Max index VAD enable" array_index="31" bit="2,2"                                                  check_list="0,off,1,on"/>
            <Field name="Max index VAD threshold" array_index="31" bit="3,5"                                               check_list="0,strictest,1,stricter,2,strict,3,slightly strict,4,slightly loose,5,loose,6,looser,7,loosest"/>
            <Field name="Mic siwtch algorithm 0~250Hz energy threshold" array_index="31" bit="6,7"                         check_list="0,-18 dB,1,-13 dB,2,-10 dB,3,off"/>
            <Field name="Switch to Mic1 speed THD" array_index="31" bit="8,9"                                              check_list="0,450 ms,1,225 ms,2,600 ms,3,750 ms"/>
            <Field name="Switch to Mic2 speed THD" array_index="31" bit="10,11"                                            check_list="0,450 ms,1,225 ms,2,600 ms,3,750 ms"/>
            <Field name="Mic siwtch algorithm 250~750Hz energy threshold" array_index="31" bit="12,13"                     check_list="0,-2 dB,1,-0.06 dB,2,-4 dB,3,-6 dB"/>
            <Field name="Mic siwtch algorithm 2k~4kHz energy threshold" array_index="31" bit="14,15"                       check_list="0,-9 dB,1,-12 dB,2,-7.5 dB,3,-6 dB"/>
            <!-- MagiLoudness/MagiClarity -->
            <Field name="RX expander mode" array_index="5" bit="0,1"                                    check_list="0,off,1,off,2,suppress stationary noise,3,suppress non-stationary noise"/>
            <Field name="DL expander suppression gain" array_index="5" bit="4,5"                        check_list="0,3dB,1,9dB,2,12dB,3,15dB"/>
            <Field name="DL Limiter TH" array_index="5" bit="2,3"                                       check_list="0,off,1,-6 dBFS,2,-4.3 dBFS,3,-1.4 dBFS"/>
            <Field name="RMS power limiter thd" array_index="5" bit="10,11"                             check_list="0,off,1,-7dBFs,2,-10dBFs,3,-14dBFs"/>
            <Field name="LPF" array_index="5" bit="15,15"                                               check_list="0,off,1,on"/>
            <Field name="20ms delay" array_index="6" bit="15,15"                                        check_list="0,off,1,on"/>
            <Field name="RX HP filter cutoff freq (IIR)" array_index="8" bit="0,2"                      check_list="0,all-pass,1,100Hz,2,150Hz,3,200Hz,4,250Hz,5,300Hz,6,350Hz,7,400Hz"/>
            <Field name="DL IIR cut off frequency" array_index="8" bit="0,2"                            check_list="0,all-pass,1,100Hz,2,150Hz,3,200Hz,4,250Hz,5,300Hz,6,350Hz,7,400Hz"/>
            <Field name="RX IIR switch" array_index="10" bit="4,4"                                      check_list="0,off,1,on"/>
            <Field name="RX FIR switch" array_index="10" bit="5,5"                                      check_list="0,off,1,on"/>
            <Field name="RX GDRC DG Gain switch" array_index="5" bit="6,6"                              check_list="0,off,1,on"/>
            <Field name="VCE strength" array_index="8" bit="3,3"                                                     check_list="0,original gain-6dB,1,original gain"/>
            <Field name="VCE noise threshold" array_index="8" bit="4,5"                                 check_list="0,22dB,1,19dB,2,16dB,3,13dB"/>
            <Field name="MagiClarity switch" array_index="5" bit="13,13"                                check_list="0,on,1,off"/>
            <Field name="SNR trigger threshold" array_index="6" bit="4,6"                               check_list="0,9dB,1,6dB,2,3dB,3,0dB,4,-3dB,5,-6dB,6,-9dB,7,-12dB"/>
            <Field name="high frequnecy strength" array_index="6" bit="7,8"                             check_list="0,off,1,3dB,2,6dB,3,10.7dB"/>
            <Field name="maximum gain" array_index="6" bit="9,10"                                       check_list="0,off,1,6dB,2,12dB,3,18dB"/>
            <Field name="noise startup threshold" array_index="6" bit="11,12"                           check_list="0,50dB,1,55dB,2,60dB,3,65dB"/>
            <Field name="DL bounder threshold" array_index="6" bit="13,14"                              check_list="0,off,1,-6dBFS,2,-4.3dBFS,3,-1.4dBFS"/>
            <Field name="attack time" array_index="9" bit="2,3"                                         check_list="0,0.5s,1,1s,2,1.5s,3,2.0s"/>
            <Field name="release time" array_index="9" bit="8,9"                                        check_list="0,1s,1,2s,2,3s,3,4s"/>
        </Param>
        <Param name="sph_in_fir" type="ushort_array"/>
        <Param name="sph_out_fir" type="ushort_array"/>
        <Param name="sph_in_fir_eq_freq" type="double_array"/>
        <Param name="sph_out_fir_eq_freq" type="double_array"/>
        <Param name="sph_in_fir_eq_mag" type="double_array"/>
        <Param name="sph_out_fir_eq_mag" type="double_array"/>
        <Param name="sph_in_iir_mic1_dsp" type="ushort_array"/>
        <Param name="sph_in_iir_mic1_eq_freq" type="double_array"/>
        <Param name="sph_in_iir_mic1_eq_mag" type="double_array"/>
        <Param name="sph_in_iir_mic2_dsp" type="ushort_array"/>
        <Param name="sph_in_iir_mic2_eq_freq" type="double_array"/>
        <Param name="sph_in_iir_mic2_eq_mag" type="double_array"/>
        <Param name="sph_in_iir_enh_dsp" type="ushort_array"/>
        <Param name="sph_out_iir_enh_dsp" type="ushort_array"/>
        <Param name="sph_in_iir_enh_eq_freq" type="double_array"/>
        <Param name="sph_out_iir_enh_eq_freq" type="double_array"/>
        <Param name="sph_in_iir_enh_eq_mag" type="double_array"/>
        <Param name="sph_out_iir_enh_eq_mag" type="double_array"/>
        <Param name="sph_in_parameter" type="double_array"/>
        <Param name="sph_out_parameter" type="double_array"/>
        <Param name="sph_in_iir_enh_pmv_gain" type="double_array"/>
        <Param name="sph_out_iir_enh_pmv_gain" type="double_array"/>
        <Param name="sph_in_iir_enh_pmv_freq" type="double_array"/>
        <Param name="sph_out_iir_enh_pmv_freq" type="double_array"/>
        <Param name="sph_in_iir_enh_pmv_type" type="ushort_array"/>
        <Param name="sph_out_iir_enh_pmv_type" type="ushort_array"/>
        <Param name="sph_in_iir_enh_pmv_qfactor" type="double_array"/>
        <Param name="sph_out_iir_enh_pmv_qfactor" type="double_array"/>
        <Param name="sph_in_iir_mic1_pmv_gain" type="double_array"/>
        <Param name="sph_in_iir_mic2_pmv_gain" type="double_array"/>
        <Param name="sph_in_iir_mic1_pmv_freq" type="double_array"/>
        <Param name="sph_in_iir_mic2_pmv_freq" type="double_array"/>
        <Param name="sph_in_iir_mic1_pmv_type" type="ushort_array"/>
        <Param name="sph_in_iir_mic2_pmv_type" type="ushort_array"/>
        <Param name="sph_in_iir_mic1_pmv_qfactor" type="double_array"/>
        <Param name="sph_in_iir_mic2_pmv_qfactor" type="double_array"/>
    </ParamUnit>
</ParamUnitDesc>
